aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJustin Lecher <jlec@gentoo.org>2012-09-15 17:20:14 +0200
committerJustin Lecher <jlec@gentoo.org>2012-09-15 17:20:14 +0200
commite7295ec08afc5b4611b1ed7c103d10465e01c1c5 (patch)
treead243d13f67f4040c039f3708832a8d69e4f7ffd /app-admin
parentMerge branch 'master' of git+ssh://git.overlays.gentoo.org/proj/sci (diff)
downloadsci-e7295ec08afc5b4611b1ed7c103d10465e01c1c5.tar.gz
sci-e7295ec08afc5b4611b1ed7c103d10465e01c1c5.tar.bz2
sci-e7295ec08afc5b4611b1ed7c103d10465e01c1c5.zip
app-admin/eselect: Version BUmp
(Portage version: 2.2.0_alpha128/git/Linux x86_64, unsigned Manifest commit)
Diffstat (limited to 'app-admin')
-rw-r--r--app-admin/eselect/ChangeLog6
-rw-r--r--app-admin/eselect/Manifest1
-rw-r--r--app-admin/eselect/eselect-1.3.2-r1.ebuild80
-rw-r--r--app-admin/eselect/files/eselect-1.3.2-eroot.patch11
4 files changed, 98 insertions, 0 deletions
diff --git a/app-admin/eselect/ChangeLog b/app-admin/eselect/ChangeLog
index 99f036ee5..4ed313a03 100644
--- a/app-admin/eselect/ChangeLog
+++ b/app-admin/eselect/ChangeLog
@@ -2,6 +2,12 @@
# Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/app-admin/eselect/ChangeLog,v 1.179 2011/01/22 21:38:52 ulm Exp $
+*eselect-1.3.2-r1 (15 Sep 2012)
+
+ 15 Sep 2012; Justin Lecher <jlec@gentoo.org> +eselect-1.3.2-r1.ebuild,
+ +files/eselect-1.3.2-eroot.patch:
+ Version BUmp
+
04 Jun 2012; Justin Lecher <jlec@gentoo.org> eselect-1.3.1-r1.ebuild,
metadata.xml:
Fix eaclocal call
diff --git a/app-admin/eselect/Manifest b/app-admin/eselect/Manifest
index b9ab3299e..e624a0bb4 100644
--- a/app-admin/eselect/Manifest
+++ b/app-admin/eselect/Manifest
@@ -1 +1,2 @@
DIST eselect-1.3.1.tar.xz 163908 SHA256 4fc1c3f1b021dd8d28475ab2115f6a2de843bbbb941a0f70999389d1e0d56444 SHA512 b62e3e9f9c145a92625d136ea14ffa9705fa312971160ee3bb33f285dd67f6e6f415c7b9909b902b872500663a7a79c6fe53f52d179de7b7e120c5de994effd3 WHIRLPOOL a04a20c25617c3a53b0937c7f01f6dc89677beb5e1917a8d078a7f4403d4d77b7342da47766a061bc9158962ada190901db5b99d4b9603c49d9b90d3ad57feb5
+DIST eselect-1.3.2.tar.xz 164168 SHA256 8b3906133090229defd6c5017fac0049e14cc0a5185c479cb3e6155a71827a78 SHA512 3225ce8b4313ae15bc7be8f047b29a202976c4a8766005487b78031a0e11e6395da55d74a961b022685126b397f8811babd3ee6580e8ba94e1ddd117964207e5 WHIRLPOOL 94917cad340ab697a35d0b3d4e80e95a6d764829692d54e0ee17fdef84c847aa35da10174352b0d4ffd8f541bbf0280e4b63790a276789a66463d2c8a1a245b0
diff --git a/app-admin/eselect/eselect-1.3.2-r1.ebuild b/app-admin/eselect/eselect-1.3.2-r1.ebuild
new file mode 100644
index 000000000..90435a2cd
--- /dev/null
+++ b/app-admin/eselect/eselect-1.3.2-r1.ebuild
@@ -0,0 +1,80 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/app-admin/eselect/eselect-1.3.ebuild,v 1.1 2012/01/21 19:02:55 ulm Exp $
+
+EAPI=3
+
+inherit bash-completion-r1 eutils autotools
+
+DESCRIPTION="Gentoo's multi-purpose configuration and management tool"
+HOMEPAGE="http://www.gentoo.org/proj/en/eselect/"
+SRC_URI="mirror://gentoo/${P}.tar.xz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~ppc-aix ~sparc-fbsd ~x86-fbsd ~x64-freebsd ~x86-freebsd ~hppa-hpux ~ia64-hpux ~x86-interix ~amd64-linux ~ia64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="doc"
+
+RDEPEND="sys-apps/sed
+ || (
+ sys-apps/coreutils
+ sys-freebsd/freebsd-bin
+ app-misc/realpath
+ )"
+DEPEND="${RDEPEND}
+ app-arch/xz-utils
+ doc? ( dev-python/docutils )"
+RDEPEND="!app-admin/eselect-news
+ ${RDEPEND}
+ sys-apps/file
+ sys-libs/ncurses"
+
+# Commented out: only few users of eselect will edit its source
+#PDEPEND="emacs? ( app-emacs/gentoo-syntax )
+# vim-syntax? ( app-vim/eselect-syntax )"
+
+src_prepare() {
+ epatch "${FILESDIR}/${P}-eroot.patch"
+ epatch "${FILESDIR}"/${PN}-alternatives.patch
+ AT_M4DIR="." eautoreconf
+}
+
+src_compile() {
+ emake || die
+
+ if use doc; then
+ emake html || die
+ fi
+}
+
+src_install() {
+ emake DESTDIR="${D}" install || die
+ newbashcomp misc/${PN}.bashcomp ${PN} || die
+ dodoc AUTHORS ChangeLog NEWS README TODO doc/*.txt || die
+
+ if use doc; then
+ dohtml *.html doc/* || die
+ fi
+
+ # needed by news module
+ keepdir /var/lib/gentoo/news
+ if ! use prefix; then
+ fowners root:portage /var/lib/gentoo/news || die
+ fperms g+w /var/lib/gentoo/news || die
+ fi
+
+ # band aid for prefix
+ if use prefix; then
+ cd "${ED}"/usr/share/eselect/libs
+ sed -i "s:ALTERNATIVESDIR_ROOTLESS=\"${EPREFIX}:ALTERNATIVESDIR_ROOTLESS=\":" alternatives.bash
+ fi
+}
+
+pkg_postinst() {
+ # fowners in src_install doesn't work for the portage group:
+ # merging changes the group back to root
+ if ! use prefix; then
+ chgrp portage "${EROOT}/var/lib/gentoo/news" \
+ && chmod g+w "${EROOT}/var/lib/gentoo/news"
+ fi
+}
diff --git a/app-admin/eselect/files/eselect-1.3.2-eroot.patch b/app-admin/eselect/files/eselect-1.3.2-eroot.patch
new file mode 100644
index 000000000..81e5bb65e
--- /dev/null
+++ b/app-admin/eselect/files/eselect-1.3.2-eroot.patch
@@ -0,0 +1,11 @@
+--- a/bin/eselect.in
++++ b/bin/eselect.in
+@@ -43,7 +43,7 @@
+
+ # Support variables for Gentoo Prefix
+ EPREFIX="@EPREFIX@"
+-EROOT="${ROOT%/}${EPREFIX}"
++EROOT="${ROOT%${EPREFIX:+/}}${EPREFIX}"
+
+ # Remove all alias definitions. Unset functions and variables that are
+ # known to cause trouble.